# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_b2流程九请领业务流_二级库向中心库,id23032,id2303-12,sit,on
核心业务流:a_b2流程九请领业务流_二级库向中心库
python runner_test.py tag id2303-12 debug mdm3
注意：如果二级库请领了，在中心库生成拣货单的时候看不到数据，原因是产品请领出库渠道不是中心库，
可以手工去把请领渠道修改成中心库
如果二级库请领了，在中心库生成拣货单无法成功，原因是中心库没库存了
脚本存在上下游的关系，下面的业务会修改出库渠道，如果调试脚本，注意这个因素的影响
"""

pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_b2流程九请领业务流_二级库向中心库.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_b2流程九请领业务流_二级库向中心库.air')
from a_b2流程九请领业务流_二级库向中心库 import goods_move3, second_dept_Request, BuyCarSubmit, get_centeStock_pick_list_counts, \
    centeStock_pick,pick_execute

try:
    updateUserLoginDefaultRange(get_listUserMgrRangePage(2))  # 设置登录账号默认权限是二级库
    goods_move3()
    # 二级库区信息写入文件
    get_stockAreaId_new(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2'],
                        FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2'], 2)
    # get_stockAreaId_new(FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid3'],FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid3'],3)
    # 设置库区联系人
    # set_stockShelf_Linkman()
    deptName2 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
    # 设置库区联系人
    set_stockShelf_Linkman(FileUtils().r_info8('b2_herp3_bs', '所有科室id', 'message6')["deptid2"],
                           get_stockAreaId2_new_fromDb(deptName2, 2))
    # 低值
    second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId'], 1)
    # 高值
    second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message1')['hosGoodsId'], 2)
    # 试剂
    second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message3')['hosGoodsId'], 3)

    BuyCarSubmit()  # 请领车提交
    """
    这里的审批跟审批流的设置有关
    """
    for i in range(6):  # 三个单据共审批6次
        approval_center()
    updateUserLoginDefaultRange(get_listUserMgrRangePage(1))  # 设置登录账号默认权限是中心库
    # 获取拣货单列表个数
    for i in range(get_centeStock_pick_list_counts()):
        centeStock_pick()  # 中心库拣货

    # 低值拣货执行
    hosGoodsId = FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId']
    GoodsId = hosGoodsId.replace(get_hosid(), '')
    pick_execute(hosGoodsId, GoodsId, 1)
    # 高值拣货执行
    hosGoodsId = FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message1')['hosGoodsId']
    GoodsId = hosGoodsId.replace(get_hosid(), '')
    pick_execute(hosGoodsId, GoodsId, 2)
    # 试剂拣货执行
    hosGoodsId = FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message3')['hosGoodsId']
    GoodsId = hosGoodsId.replace(get_hosid(), '')
    pick_execute(hosGoodsId, GoodsId, 3)
    second_dept_one_key_in()
    second_dept_one_key_in()
    second_dept_one_key_in()
    commonFuc().check_text_exist_result_text('succees', 'succees')
    print('==========================流程九结束==============================')
except Exception as e:
    # 打印错误信息
    print(f"发生错误: {e}")
    commonFuc().check_text_exist_result_text('error', 'succees')
